function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import dayjs from 'dayjs';
import { sumBy } from 'lodash';
import { useState } from 'react';
import { VmFilter, VmPieCharts, VmTitle } from "../../../_components";
import { overViewService } from "../../api";
import "./index.less";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var FSSD = function FSSD(_ref) {
  var _ref$classPrefix = _ref.classPrefix,
    classPrefix = _ref$classPrefix === void 0 ? '' : _ref$classPrefix,
    id = _ref.id;
  var _useState = useState(dayjs()),
    _useState2 = _slicedToArray(_useState, 2),
    times = _useState2[0],
    setTimes = _useState2[1];

  // 事件类型分布
  var alarmByTypeData = overViewService.useAlarmSumByType({
    housingEstateId: id,
    businessPackage: 'LANDING',
    beginTime: times.format('YYYY-MM-DD 00:00:00'),
    endTime: times.format('YYYY-MM-DD 23:59:59')
  });
  return /*#__PURE__*/_jsxs("div", {
    children: [/*#__PURE__*/_jsxs("div", {
      className: "".concat(classPrefix, "-row"),
      children: [/*#__PURE__*/_jsx(VmTitle, {
        title: "\u843D\u5730\u5305\u53D1\u751F\u65F6\u6BB5\u5BF9\u6BD4",
        border: false
      }), /*#__PURE__*/_jsx(VmFilter.VMDatePicker, {
        value: times,
        onChange: function onChange(value) {
          return setTimes(value);
        }
      })]
    }), /*#__PURE__*/_jsx(VmPieCharts, {
      dataList: (alarmByTypeData === null || alarmByTypeData === void 0 ? void 0 : alarmByTypeData.map(function (ele) {
        return {
          name: ele.alarmTypeName || '-',
          value: ele.count || 0,
          day: ele.day || ''
        };
      })) || [],
      title: "\u603B\u6570(\u6B21)",
      total: sumBy(alarmByTypeData, 'count'),
      name: "\u843D\u5730\u5305\u53D1\u751F\u65F6\u6BB5"
      // loading={loading}
      ,
      unit: "\u6B21",
      height: 150,
      legendConfig: {
        right: '12%'
      },
      innerRadius: ['65%', '85%'],
      outerRadius: ['85%', '95%']
    })]
  });
};
export default FSSD;